Maven使用中遇到的问题

作者: 李玉凯 分类: JAVA 发布时间: 2021-04-07 14:22

IDEA->maven Plugins 报红线

报错信息:

Cannot resolve plugin org.apache.maven.plugins:maven-deploy-plugin:2.8.2

解决办法:

1、找到你本地仓库地址,看是否存在该文件,如果存在,则把.lastUpdated结尾的文件删除,重新刷新maven;

2、如果本地仓库不存在,阿里云镜像不能正常下载,就切换maven默认仓库地址就可以正常下载(默认仓库就是把阿里云仓库删除就行,默认什么都没有)

IDEA->maven Dependencies报红线

解决办法:

把pom文件中的依赖先删除,刷新maven;然后再恢复再刷新maven就可以正常下载。
注:如果还无法下载,搜一下你的依赖包是不是需要指定私有仓库地址

IDEA->父项目依赖无法正常下载

问题描述:

当你在父项目中使用 <dependencyManagement> </dependencyManagement>

引入依赖包时,如果还没有子项目使用,是不会正常下载依赖包的。

解决办法:

<dependencyManagement> </dependencyManagement>标签去掉,就可以正常下载了。(只会在本地仓库找,本地仓库没有不会去远程仓库下载,好像是idea的BUG)

如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!

发表评论

邮箱地址不会被公开。 必填项已用*标注

+ 3 = 13